List certificate templates
curl --request GET \
--url https://api.hixbe.com/certify/templates \
--header 'Authorization: Bearer <token>' \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/certify/templates"
headers = {
"Xerobi-Version": "<xerobi-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Xerobi-Version': '<xerobi-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hixbe.com/certify/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/certify/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/certify/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hixbe.com/certify/templates")
.header("Xerobi-Version", "<xerobi-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/certify/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "tmpl_1234567890abcdef",
"name": "Completion Certificate",
"created_at": "2025-12-01T10:00:00Z"
},
{
"id": "tmpl_0987654321fedcba",
"name": "Achievement Badge",
"created_at": "2025-11-15T14:30:00Z"
}
]
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}List Message Templates
Retrieve all message templates in your account.
GET
/
templates
List certificate templates
curl --request GET \
--url https://api.hixbe.com/certify/templates \
--header 'Authorization: Bearer <token>' \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/certify/templates"
headers = {
"Xerobi-Version": "<xerobi-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Xerobi-Version': '<xerobi-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hixbe.com/certify/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/certify/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/certify/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hixbe.com/certify/templates")
.header("Xerobi-Version", "<xerobi-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/certify/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "tmpl_1234567890abcdef",
"name": "Completion Certificate",
"created_at": "2025-12-01T10:00:00Z"
},
{
"id": "tmpl_0987654321fedcba",
"name": "Achievement Badge",
"created_at": "2025-11-15T14:30:00Z"
}
]
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version in YYYY-MM-DD format
Example:
"2026-01-01"
Response
Successfully retrieved certificate templates
Response containing a list of certificate templates
Array of certificate templates
Show child attributes
Show child attributes